\papertitle{The Debian Videoteam --- Behind the Scenes}

\paperauthor{Holger Levsen, Herman Robak, and Eric Dantan Rzewnicki}

\begin{abstract}
The talk will cover the hardware, software and manpower required for a typical
dvswitch usecase. Some caveats and challenges regarding sound, lighting and
rigging will be discussed, and live demonstration of dvswitch in use will be
given.  
\end{abstract}

\section{Introduction}

\paragraph{People}

We would like to bind up as few people as possible in the video team.  Our
activity is a service, not a playful hacking thing.

Post production takes for ever, if it ever happens.  We strive to get as much as
possible done instantly. 


\paragraph{Hardware}

The hardware should be cheap and light.  Commodity hardware is more convenient
than specialty hardware.  Two non-commodity pieces that we now consider "must
have": Scan converter (VGA to DV) and wireless mic.  The laptops and the DV
cameras can be borrowed by/from participants or the local team.


\paragraph{Software}

The software should be a minimal set of packages running on Debian
Stable.  Dvswitch fits that bill.


\paragraph{TODO}

Talkback: The camera operators should have headsets, and receive oral
instructions from the mixer operator/producer.

Tally lights: The cameras should have a red lamp telling everyone (especially
the camera operator) when they are "on".


\paragraph{Caveats}

Lighting problems.  Good room lighting should provide a comfortable light level
and adequate light for cheap cameras, and still not wash out the projector
screen.  More often than not, this is not the case.

Lighting workarounds.  Spot light on the speaker, turn off the rest during the
talk.  Turn the lights on again for the Q\&A session, assuming the screen won't
be much needed then.

Recording the sound from the audience takes some care.  We want reactions from
the audience to be audible, but general murmur and air condition noise should be
cut out.

The crowd cam should see \emph{everyone} in the audience.  This may require a
tall platform, or (fancy!) a jib arm.

\section{What the software does}

\begin{description}

 \item[\texttt{dvsource}] Grabs video from a DV camera over firewire, and sends
  it over TCP to the \texttt{dvswitch}.  Dvswitch may run on a different
  computer, usually nearby.

 \item[\texttt{dvswitch}] The heart of the system is dvswitch.

 \item[\texttt{dvsink}] Receives the output from dvswitch

\end{description}

\section{Live demo}

\begin{itemize}

 \item Show the hardware
  \begin{itemize}
   \item Laptops
   \item Cameras, tripods, firewire
   \item Scan converter
   \item Switch, ethernet cable
   \item Sound mixer
  \end{itemize}

 \item Show the setup
  \begin{itemize}
   \item Speaker cam, head mic
   \item Crowd cam, crowd mic
   \item Cabling (gaffa, gaffa, gaffa)
  \end{itemize}
 
 \item Demonstrate editing
  \begin{itemize}
   \item Recursive video (gag)
   \item Cutaways (let the cam-op frame the shot)
   \item Eye direction (when two shots won't intercut well...)
   \item Sound level (open and fade out crowd mic)
   \item PiP?  Text overlays?
   \item Disorienting each other and the stream team (gag)
   \item "Do you have goatse there?"
  \end{itemize}

\end{itemize}

